package cd.casic.ci.common.pipeline.dialect;

import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.dialect
 * @Project：ops-pro
 * @name：PipelineDialectType
 * @Date：2025/03/27 10:36
 * @Filename：PipelineDialectType
 * @description：Todo
 */
@Getter
public enum PipelineDialectType {
    CLASSIC(new ClassicPipelineDialect()),
    CONSTRAINED(new ConstrainedPipelineDialect());

    private final IPipelineDialect dialect;

    PipelineDialectType(IPipelineDialect dialect) {
        this.dialect = dialect;
    }
}
