package cd.casic.ci.common.pipeline.matrix;

import cd.casic.ci.common.pipeline.enums.VMBaseOS;
import cd.casic.ci.common.pipeline.type.DispatchType;
import lombok.EqualsAndHashCode;
import lombok.Getter;

import java.util.Map;

/**
 * @author by mianbin
 * @Classname SampleDispatchInfo
 * @Description TODO
 * @Date 2025/3/29 15:44
 */

@Getter
@EqualsAndHashCode(callSuper = true)
public class SampleDispatchInfo extends DispatchInfo {
    private final DispatchType dispatchType;
    private final VMBaseOS baseOS;
    private final Map<String, String> buildEnv;

    public SampleDispatchInfo(String name, DispatchType dispatchType, VMBaseOS baseOS, java.util.Map<String, String> buildEnv) {
        super(name);
        this.dispatchType = dispatchType;
        this.baseOS = baseOS;
        this.buildEnv = buildEnv;
    }
}