package cd.casic.ci.common.pipeline.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：StoreInitPipelineReq
 * @Date：2025/03/25 16:38
 * @Filename：StoreInitPipelineReq
 * @description：Todo
 */
@Data
@Schema(title = "研发商店初始化流水线请求报文体")
public class StoreInitPipelineReq {
    @Schema(title = "流水线模型", required = true)
    private String pipelineModel;
    @Schema(title = "流水线启动参数", required = true)
    private Map<String, String> startParams;
}
