package cd.casic.ci.common.pipeline.resp.pipeline;

import cd.casic.ci.common.pipeline.resp.stage.StageResp;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @ClassName PipelineFindResp
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class PipelineFindResp {

    private String id;

    private String name;

    //创建人id
    private String createUserId;

    //创建人姓名
    private String createUserName;

    //最后修改人id
    private String updateUserId;

    //最后修改人姓名
    private String updateUserName;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    /**
     * 是否收藏 0.未收藏 1.收藏
     */
    private Integer collect;


    /**
     * 执行人id
     */
    private String executeUserId;

    /**
     * 执行时间
     */
    private LocalDateTime executeTime;

    /**
     * 流水线触发方式
     */
    private String pipelineTriggerMode;

    /**
     * 执行状态
     */
    private String executeStatus;

    private List<StageResp> stageList;


}
