package cd.casic.pipeline.environment.pojo;

import lombok.Getter;

@Getter
public enum AgentUpgradeType {
    WORKER,
    GO_AGENT,
    JDK,
    DOCKER_INIT_FILE;

    public static AgentUpgradeType find(String type) {
        if (type == null) {
            return null;
        }
        switch (type) {
            case "WORKER":
                return WORKER;
            case "GO_AGENT":
                return GO_AGENT;
            case "JDK":
                return JDK;
            case "DOCKER_INIT_FILE":
                return DOCKER_INIT_FILE;
            default:
                return null;
        }
    }
} 