package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

/**
 * @author by mianbin
 * @Classname HeartbeatResponse
 * @Description TODO
 * @Date 2025/4/8 21:15
 */
@Data
public class HeartbeatResponse {
    @Schema(title = "主版本")
    private String masterVersion;
    @Schema(title = "从属版本")
    private String slaveVersion;
    @Schema(title = "构建机状态")
    private String agentStatus;
    @Schema(title = "通道数量")
    private int parallelTaskCount;
    @Schema(title = "环境变量")
    private Map<String, String> envs;
    @Schema(title = "网关地址")
    private String gateway;
    @Schema(title = "文件网关路径")
    private String fileGateway;
    @Schema(title = "Agent的一些属性配置")
    private Map<String, Object> props;
    @Schema(title = "docker最大任务数量")
    private int dockerParallelTaskCount;
    @Schema(title = "用户国际化语言")
    private String language;
}
