package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import kotlin.Result;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateWithPermission
 * @Date：2025/03/24 19:32
 * @Filename：TemplateWithPermission
 * @description：Todo
 */
@Data
@Schema(title = "模板-权限实体")
public class TemplateWithPermission {
    @Schema(title = "拥有列表权限的模板记录", required = true)
    private Result<? extends Record> templatesWithListPermRecords;
    @Schema(title = "拥有查看权限的模板列表ID", required = true)
    private List<String> templatesWithViewPermIds;
    @Schema(title = "拥有编辑权限的模板列表ID", required = true)
    private List<String> templatesWithEditPermIds;
    @Schema(title = "拥有删除权限的模板列表ID", required = true)
    private List<String> templatesWithDeletePermIds;
    @Schema(title = "数量", required = true)
    private int count;
}
