package cd.casic.ci.process.api.process.pojo.trigger;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerDetail
 * @Date：2025/03/24 17:23
 * @Filename：PipelineTriggerDetail
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "流水线触发详情")
public class PipelineTriggerDetail {
    @Schema(title = "流水线触发详情ID")
    private Long detailId;
    @Schema(title = "蓝盾项目ID")
    private String projectId;
    @Schema(title = "事件ID")
    private Long eventId;
    @Schema(title = "触发状态")
    private String status;
    @Schema(title = "流水线Id")
    private String pipelineId;
    @Schema(title = "流水线名称")
    private String pipelineName;
    @Schema(title = "构建Id")
    private String buildId;
    @Schema(title = "构建编号")
    private String buildNum;
    @Schema(title = "原因")
    private String reason;
    @Schema(title = "原因详情")
    private PipelineTriggerReasonDetail reasonDetail;
    @Schema(title = "创建时间")
    private Long createTime;
}
