package cd.casic.ci.project.service;

import io.swagger.v3.oas.annotations.Operation;

import java.util.List;

public interface ServiceAllocIdResource {

//    @GET
//    @Path("/types/segment/tags/{bizTag}/generate")
    @Operation(summary = "按号段模式生成Id")
    Long generateSegmentId(String bizTag);

    @Operation(summary = "按号段模式批量生成Id(本质是for循环实现,减少远程调用)")
    public List<Long> batchGenerateSegmentId(String bizTag,Integer number);
}
