package cd.casic.ci.log.scm.dal.dto;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author mianbin
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "repository_git_token", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class RepositoryGitToken extends BaseDO {

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 权限Token
     */
    private String accessToken;

    /**
     * 刷新Token
     */
    private String refreshToken;

    /**
     * token类型
     */
    private String tokenType;

    /**
     * 过期时间
     */
    private Long expiresIn;

}
