package cd.casic.ci.log.scm.dal.dto;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


/**
 * @author mianbin
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "repository_git_token", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class RepositoryGitlabToken extends BaseDO {
    private Long id;

    private String userId;

    private String accessToken;

    private String tokenType;

    private String scope;

    private String type;
}
