package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.pipeline.store.pojo.common.enums.StoreStatusEnum;
import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@Schema(title = "组件基本数据PO")
public class StoreBaseDataPO {
    @Schema(title = "主键ID")
    private String id;
    
    @Schema(title = "组件标识")
    private String storeCode;
    
    @Schema(title = "组件类型")
    private StoreTypeEnum storeType;
    
    @Schema(title = "组件名称")
    private String name;
    
    @Schema(title = "版本号")
    private String version;
    
    @Schema(title = "状态")
    private StoreStatusEnum status;
}