package cd.casic.pipeline.store.pojo.common.visible;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "组件可见范围请求报文体")
public class StoreVisibleDeptReq {
    @Schema(title = "组件类型", required = true)
    private String storeType;
    
    @Schema(title = "组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "机构列表", required = true)
    private List<DeptInfo> deptInfos;
}