package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname TaskDetail
 * @Description TODO
 * @Date 2025/4/8 16:41
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "虚拟机主机-任务详情")
public class TaskDetail {
    @Schema(title = "任务详情ID", required = true)
    private Integer id;
    @Schema(title = "任务详情对应的任务ID", required = true)
    private Integer taskId;
    @Schema(title = "任务详情对应的虚拟主机ID", required = true)
    private Integer vmId;
    @Schema(title = "任务详情对应的虚拟主机名字", required = true)
    private String vmName;
    @Schema(title = "任务详情内容", required = true)
    private String message;
    @Schema(title = "任务详情开始时间", required = true)
    private Long time;
}
