package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@Schema(title = "agent流水线引用信息")
public class AgentPipelineRefInfo {
    @Schema(title = "agentHashId", required = true)
    private final String agentHashId;
    @Schema(title = "流水线ID", required = true)
    private final String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private final String pipelineName;
    @Schema(title = "Vm Seq ID", required = true)
    private final String vmSeqId;
    @Schema(title = "Job ID", required = true)
    private final String jobId;
    @Schema(title = "Job Name", required = true)
    private final String jobName;
} 