package cd.casic.ci.log.log;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author by mianbin
 * @Classname ILogEvent
 * @Description TODO
 * @Date 2025/3/20 10:45
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ILogEvent extends IEvent {

    protected String buildId;
    protected int retryTime;
    protected int delayMills;
    protected static int DELAY_DURATION_MILLS = 3 * 1000;

    public int getNextDelayMills(int retryTime) {
        return DELAY_DURATION_MILLS * (3 - retryTime);
    }

}
