package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineLabel
 * @Date：2025/03/24 19:51
 * @Filename：PipelineLabel
 * @description：Todo
 */
@Data
@Schema(title = "流水线标签")
public class PipelineLabel {
    @Schema(title = "标签id", required = false)
    private String id;
    @Schema(title = "流水线id", required = false)
    private String groupId;
    @Schema(title = "标签名称", required = false)
    private String name;
    @Schema(title = "创建时间", required = false)
    private Long createTime;
    @Schema(title = "更新时间", required = false)
    private Long uptimeTime;
    @Schema(title = "创建者", required = false)
    private String createUser;
    @Schema(title = "更新者", required = false)
    private String updateUser;
}
