package cd.casic.pipeline.store.pojo.app;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "容器编译环境请求实体")
public class ContainerAppRequest {
    @Schema(title = "编译环境请求实体", required = true)
    private ContainerAppCreate containerApp;
    @Schema(title = "编译环境变量集合", required = false)
    private List<ContainerAppEnvCreate> containerAppEnvList;
    @Schema(title = "编译环境版本信息集合", required = false)
    private List<ContainerAppVersionCreate> containerAppVersionList;
}