package cd.casic.pipeline.store.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class ApproveReq {
    @Schema(title = "模版标识")
    private String templateCode;
    
    @Schema(title = "审核结果：PASS：通过|REJECT：驳回")
    private String result;
    
    @Schema(title = "审核结果说明")
    private String message;
}